### Navigation

- index
- modules |
- next |
- previous |
- Pyevolve v0.6 final documentation »
- Modules »
- `pyevolve` – the main pyevolve namespace »

# `Interaction` – interaction module

In this module, you will find the funcionality for the Interactive mode. When you enter in the Interactive Mode, Pyevolve will automatic import this module and exposes to you in the name space called “it”.

To use this mode, the parameter interactiveMode must be enabled in the `GSimpleGA.GSimpleGA`.

You can use the manual method to enter in the Interactive Mode at specific generation using the `GSimpleGA.GSimpleGA.setInteractiveGeneration()` method.

`Interaction.``getPopScores`(population, fitness=False)

  Returns a list of population scores

  Example:

        >>> lst = Interaction.getPopScores(population)

  Parameters:

  - population – population object (`GPopulation.GPopulation`)
  - fitness – if is True, the fitness score will be used, otherwise, the raw.

  Return type: | list of population scores

`Interaction.``plotHistPopScore`(population, fitness=False)

  Population score distribution histogram

  Example:

        >>> Interaction.plotHistPopScore(population)

  Parameters:

  - population – population object (`GPopulation.GPopulation`)
  - fitness – if is True, the fitness score will be used, otherwise, the raw.

  Return type: | None

`Interaction.``plotPopScore`(population, fitness=False)

  Plot the population score distribution

  Example:

        >>> Interaction.plotPopScore(population)

  Parameters:

  - population – population object (`GPopulation.GPopulation`)
  - fitness – if is True, the fitness score will be used, otherwise, the raw.

  Return type: | None

### Navigation

- index
- modules |
- next |
- previous |
- Pyevolve v0.6 final documentation »
- Modules »
- `pyevolve` – the main pyevolve namespace »